## ncsa.hdf.hdflib
Class HDFDeflateCompInfo

    java.lang.Object
      ncsa.hdf.hdflib.HDFCompInfo
          ncsa.hdf.hdflib.HDFNewCompInfo
              ncsa.hdf.hdflib.HDFDeflateCompInfo

    public class HDFDeflateCompInfo

extends HDFNewCompInfo

This class is a container for the parameters to the HDF DEFLATION compression algorithm.

In this case, the only parameter is the ``level'' of deflation.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

Field Summary
`int` `level`

Fields inherited from class ncsa.hdf.hdflib.HDFNewCompInfo
`ctype`

Constructor Summary
`HDFDeflateCompInfo()`
`HDFDeflateCompInfo(int l)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### level

    public int level

Constructor Detail

### HDFDeflateCompInfo

    public HDFDeflateCompInfo()

### HDFDeflateCompInfo

    public HDFDeflateCompInfo(int l)